#' @name CamposEg4.1.9.2
#' @title Teor de Fósforo em Duas Regiões.
#' @description Estudo sobre a determinação do teor de fósforo em duas regiões, A e B, foram
#' comletadas em cada uma delas, dez amostras de solo.
#' @format Um \code{data.frame} com 10 observações e 2 variáveis, em
#'      que
#'
#' \describe{
#'
#' \item{\code{A}}{ Teor de fósforo (e.mg/100g de solo), na Região A }
#'
#' \item{\code{B}}{ Teor de fósforo (e.mg/100g de solo), na Região A }
#'
#' }
#' @keywords TODOS
#' @source DE CAMPOS; HUMBERTO (1983), Exemplos 4.1.9.2, pág. 128.
#' @examples
#' 
#'  library(lattice)
#'
#'  data(CamposEg4.1.9.2)
#'  str(CamposEg4.1.9.2)
#'  
#'  boxplot(CamposEg4.1.9.2$A, CamposEg4.1.9.2$B, 
#'          names=c("Região A","Região B"))
#'  
#'  wilcox.test(CamposEg4.1.9.2$A,
#'              CamposEg4.1.9.2$B,
#'              paired = TRUE)

NULL
