#' @name CamposEx4.1.10.6
#' @title Lógica dos Jogos de Loteria
#' @description Uma pesquisa foi realizada no sentido de se verificar a logica dos jogos da 
#' loteria esportiva. Para tal fim, foram considerados quinze apostadores tido como conhecedores
#' de futebol e sempre a par dos noticiários esportivos, e dez que jogam na loteca, mas com um 
#' completo desconhecimento do mundo esportivo. Foram computadas as medias de pontos feitos, com
#' a aposta minima, em dez semanas seguidas, relativa a cada apostador. 
#' @format Um \code{data.frame} com 15 observações e 2 variáveis, em
#'      que
#'
#' \describe{
#'
#' \item{\code{X}}{ Média de pontos feitos, com a aposta mínima, em dez semanas seguidas 
#' de jogadores "entedidos".}
#'
#' \item{\code{Y}}{ Média de pontos feitos, com a aposta mínima, em dez semanas seguidas 
#' de jogadores "não entedidos". }
#'
#' }
#' @keywords TODOS
#' @source DE CAMPOS; HUMBERTO (1983), Exercício 4.1.10.6, pág. 133.
#' @examples
#' 
#' 
#'  library(lattice)
#'
#'  data(CamposEx4.1.10.6)
#'  str(CamposEx4.1.10.6)
#'  
#'  boxplot(CamposEx4.1.10.6$X, CamposEx4.1.10.6$Y, 
#'          names=c("Entedidos","Não Entedidos"))
#'  
#'  wilcox.test(CamposEx4.1.10.6$X,
#'              CamposEx4.1.10.6$Y,
#'              paired = FALSE)
NULL
